#include <bits/stdc++.h>
#define N 1002
#define ll long long

using namespace std;

ll n, k, x, s, c, n1;
ll a[N];
priority_queue<ll> f;
vector<ll> e;

int main ()
{
    cin >> n >> k >> x; s=n*(n-1)/2; n1=n;
    if(n==1) { cout << 1 << endl; return 0; }
    if(n==2) { if(k==0) cout << "1 1" << endl; else cout << "1 " << 1+x << endl; return 0; }
    if(n==3) { if(k==0) cout << "1 1 1" << endl; else if(k==1) cout << "1 2 " << x+1 << endl;
    else if(k==2) { cout << "1 1 " << 1+x << endl; } else cout << "1 " << x+1 << " " << 2*x+1 << endl;
    return 0; }
    if(k==3) { cout << "1 1 1 " << x+1 << " "; for(int i=3;i<n;i++) cout << "2 "; cout << endl; return 0; }
    if(n==k)
    {
        cout << "1 " << x+1 << " " << 2*x+1 << " ";
        for(int i=3;i<n;i++) cout << "2 ";
        cout << endl; return 0;
    }
    if(k<n)
    {
        while(k) { cout << "1 "; k--; n--; }
        cout << x+1 << " "; n--;
        for(int i=0;i<n;i++) cout << "2 ";
        cout << endl;
        return 0;
    }
    if(k==n*(n-1)/2) { for(int i=0;i<n;i++) cout << i*x+1 << " "; cout << endl; return 0; }
    c=n-1;
    while(s-c*(c-1)/2<=k) c--;
    c++;
    for(int i=1;i<=n-c;i++) f.push(i*x+1);
    n=c;
    k-=(s-c*(c-1)/2);
    for(int i=0;i<k;i++) f.push(2);
    n-=k;
    for(int i=0;i<n;i++) f.push(1);
    for(int i=0;i<n1;i++)
    {
        e.push_back(f.top());
        f.pop();
    }
    for(int i=n1-1;i>=0;i--) cout << e[i] << " ";
    cout << endl;
    return 0;
}